#!/usr/bin/python
#coding: utf-8
#-----------------------------
# author: ensky @2022.10.24
# support: https://ensky.tech
# url_checking.txt: 将需要Ping的URL放到这个文件中
# guest_post_check_result.txt：这个是每次检查以后都完整Log
# guest_post_check_failed.txt：如果有丢失都Guest Post链接，会记录到这个文件中
#
#
#### url_checking.txt 文件的使用：#####
# 每行放一个网址，固定格式
# 
#
#-----------------------------
from lxml import etree
import requests
import json
import time

####################### DEFINE URL FILE ##############################

url_checking_file_name="url_checking.txt"

####################### DEFINE LOG FILE ###############################
url_check_success_file=open("url_check_success_result.txt","w")
url_check_success_pure_file=open("url_check_success_pure.txt","w")
#write current time
url_check_success_file.write("check at "+time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())+"\r\n");

url_check_failed_file=open("url_check_failed.txt","w")
#write current time
url_check_failed_file.write("check at "+time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())+"\r\n");


####################### DEFINE BROWSER ###############################
# set browser headers
headers = {
    "user-agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.114 Safari/537.36"
}

############### DEFINE JSON FILE, LOGICAL CHECKING ###################

url_file = open(url_checking_file_name)
line = url_file.readline()

while line:
    print (line)
    #print(type(line))
    line = url_file.readline()
 
    try:
        #check if the URL is alive
        # using GET request
        resp = requests.get(line,headers=headers)
        html_text=resp.text;
        #print(html_text)

    except Exception:
        print(str(line)+"Exception is coming"+" CODE: "+ str(resp.status_code));
        continue

    if(resp.status_code!=200):
        print(str(line)+"FAILED"+" CODE: "+ str(resp.status_code));
        wirte_to_file=str(line)+" FAILED "+" CODE: "+ str( resp.status_code)
        print(wirte_to_file)
        url_check_failed_file.write(wirte_to_file+"\r\n");
        url_check_failed_file.flush()
    else:
        print(str(line)+"Success"+" CODE: "+ str(resp.status_code));
        wirte_to_file=str(line)+" Success "+" CODE: "+ str( resp.status_code)
        wirte_to_file_pure=str(line)
        print(wirte_to_file)
        url_check_success_file.write(wirte_to_file+"\r\n");
        url_check_success_pure_file.write(wirte_to_file_pure+"\r\n");
        url_check_success_file.flush()
        url_check_success_pure_file.flush()



url_file.close()
url_check_success_file.close()
url_check_failed_file.close()
url_check_success_pure_file.close()
